Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.gui.stepsettings
Class LoopListener

    java.lang.Object
      edu.udo.cs.miningmart.gui.stepsettings.LoopListener

All Implemented Interfaces:
  IteratorListener, NrOfLoopsListener

    public class LoopListener

extends java.lang.Object
implements IteratorListener, NrOfLoopsListener

An `IteratorListener`for the `StepLoopPanel`.

Version:
  $Id: LoopListener.java,v 1.4 2006/09/27 14:59:58 euler Exp $
Author:
  Daniel Hakenjos

Constructor Summary
`LoopListener(StepSettingsPanel panel, StepParameterTable table)` Constructs a new `LoopListener`.

Method Summary
`void` | `iterationChanged(java.lang.String data, int index)` Sets the loopnumber in the `StepParameterTable`.
`void` | `numberOfLoopsChanged(int nrOfLoops)` Sets the number of loops in the `StepParameterTable`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoopListener

    public LoopListener(StepSettingsPanel panel,
                        StepParameterTable table)

  Constructs a new `LoopListener`.

Method Detail

### iterationChanged

    public void iterationChanged(java.lang.String data,
                                 int index)

  Sets the loopnumber in the `StepParameterTable`.

  Specified by:
    `iterationChanged` in interface `IteratorListener`
  Parameters:
    `data` - the current visible data.
  See Also:
    `IteratorListener.iterationChanged(String, int)`

### numberOfLoopsChanged

    public void numberOfLoopsChanged(int nrOfLoops)

  Sets the number of loops in the `StepParameterTable`.

  Specified by:
    `numberOfLoopsChanged` in interface `NrOfLoopsListener`
  See Also:
    `NrOfLoopsListener.numberOfLoopsChanged(int)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005